import { dateformat } from '@/utils/formatTime';
export default {
  data() {
    return {
      // 四个页面选择器的禁用规则
        pickerOptions: {
          disabledDate: val => {
            const curMonth = new Date().getMonth() + 1;
            // 只能筛选半年之内得数据,并且最大跨度为六个月
            const yearBefore = new Date().setMonth(curMonth - (6 + 1));
            const threeMonths = new Date().setMonth(curMonth - (6 + 1));
            if (this.minDate) {
              const curTime = this.minDate.getTime();
              const min = curTime - threeMonths > yearBefore ? curTime - threeMonths : yearBefore;
              return val.getTime() > curTime + threeMonths || val.getTime() < min || val.getTime() > this.maxDate;
            }
            return val.getTime() <= yearBefore || val.getTime() > this.maxDate.getTime();
          },
          onPick: ({ maxDate, minDate }) => {
            this.minDate = minDate;
          }
        },
        minDate: null,
        maxDate: new Date(),
        dateformat: dateformat
    }
  }
}
